GNU bug report logs - #21133
cairo: build without-xft fails

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Toralf Förster <toralf.foerster@HIDDEN>; Keywords: help; dated Sat, 25 Jul 2015 16:18:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) help. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 21133-done <at> debbugs.gnu.org:


Received: (at 21133-done) by debbugs.gnu.org; 27 Jul 2015 12:33:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 27 08:33:34 2015
Received: from localhost ([127.0.0.1]:59731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZJhb4-0001lw-F8
	for submit <at> debbugs.gnu.org; Mon, 27 Jul 2015 08:33:34 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:39280)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1ZJhb2-0001lm-3l
 for 21133-done <at> debbugs.gnu.org; Mon, 27 Jul 2015 08:33:32 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0NS500J00BYTP700@HIDDEN> for 21133-done <at> debbugs.gnu.org;
 Mon, 27 Jul 2015 15:33:30 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NS500JOKC7TA890@HIDDEN>;
 Mon, 27 Jul 2015 15:33:30 +0300 (IDT)
Date: Mon, 27 Jul 2015 15:33:18 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21133: Fwd: [Bug
 555622]	app-editors/emacs-vcs-25.0.50_pre20150630 : ftcrfont.c:109:5:	error:
 =?utf-8?Q?=E2=80=98ftfont=5Fdriver=E2=80=99?= undeclared	(first use in this
 function)
In-reply-to: <21941.49931.243853.752568@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Ulrich Mueller <ulm@HIDDEN>
Message-id: <83egjtzsoh.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8bit
References: <55B3B67F.8090909@HIDDEN>
 <21940.53006.235403.525884@HIDDEN> <83r3nvyncj.fsf@HIDDEN>
 <21941.49931.243853.752568@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 21133-done
Cc: toralf.foerster@HIDDEN, 21133-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Mon, 27 Jul 2015 07:35:07 +0200
> Cc: 21133 <at> debbugs.gnu.org, toralf.foerster@HIDDEN
> From: Ulrich Mueller <ulm@HIDDEN>
> 
> >>>>> On Sun, 26 Jul 2015, Eli Zaretskii wrote:
> 
> >> There is a similar problem with --with-cairo --without-png, by the
> >> way. When linking temacs:
> >> image.o:(.data+0x90): undefined reference to `png_load'
> 
> > The culprit seems to be this condition around line 5645 of image.c:
> 
> >   #if defined HAVE_PNG && !defined HAVE_NS
> 
> > It should say this instead, I think:
> 
> >   #if (defined HAVE_PNG && !defined HAVE_NS) || defined USE_CAIRO
> 
> This change makes it compile for me.

Thanks, I pushed it.




Notification sent to Toralf Förster <toralf.foerster@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Eli Zaretskii <eliz@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 21133 <at> debbugs.gnu.org:


Received: (at 21133) by debbugs.gnu.org; 27 Jul 2015 05:35:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 27 01:35:11 2015
Received: from localhost ([127.0.0.1]:59544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZJb4B-000787-DJ
	for submit <at> debbugs.gnu.org; Mon, 27 Jul 2015 01:35:11 -0400
Received: from a1www.kph.uni-mainz.de ([134.93.134.1]:58761)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ulm@HIDDEN>) id 1ZJb49-00077y-7e
 for 21133 <at> debbugs.gnu.org; Mon, 27 Jul 2015 01:35:09 -0400
Received: from a1i15.kph.uni-mainz.de (a1i15.kph.uni-mainz.de [134.93.134.92])
 by a1www.kph.uni-mainz.de (8.14.9/8.14.7) with ESMTP id
 t6R5Z7fU008447; Mon, 27 Jul 2015 07:35:07 +0200
Received: from a1i15.kph.uni-mainz.de (localhost [127.0.0.1])
 by a1i15.kph.uni-mainz.de (8.14.8/8.14.2) with ESMTP id t6R5Z7Z9015827;
 Mon, 27 Jul 2015 07:35:07 +0200
Received: (from ulm@localhost)
 by a1i15.kph.uni-mainz.de (8.14.8/8.14.8/Submit) id t6R5Z7on015823;
 Mon, 27 Jul 2015 07:35:07 +0200
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <21941.49931.243853.752568@HIDDEN>
Date: Mon, 27 Jul 2015 07:35:07 +0200
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21133: Fwd: [Bug
 555622]	app-editors/emacs-vcs-25.0.50_pre20150630 : ftcrfont.c:109:5:	error:
 =?utf-8?Q?=E2=80=98ftfont=5Fdriver=E2=80=99?= undeclared	(first use in this
 function)
In-Reply-To: <83r3nvyncj.fsf@HIDDEN>
References: <55B3B67F.8090909@HIDDEN>
 <21940.53006.235403.525884@HIDDEN>
 <83r3nvyncj.fsf@HIDDEN>
X-Mailer: VM 8.2.0b under 24.3.1 (x86_64-pc-linux-gnu)
From: Ulrich Mueller <ulm@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 21133
Cc: 21133 <at> debbugs.gnu.org, toralf.foerster@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

>>>>> On Sun, 26 Jul 2015, Eli Zaretskii wrote:

>> There is a similar problem with --with-cairo --without-png, by the
>> way. When linking temacs:
>> image.o:(.data+0x90): undefined reference to `png_load'

> The culprit seems to be this condition around line 5645 of image.c:

>   #if defined HAVE_PNG && !defined HAVE_NS

> It should say this instead, I think:

>   #if (defined HAVE_PNG && !defined HAVE_NS) || defined USE_CAIRO

This change makes it compile for me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21133; Package emacs. Full text available.

Message received at 21133 <at> debbugs.gnu.org:


Received: (at 21133) by debbugs.gnu.org; 26 Jul 2015 15:02:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 26 11:02:26 2015
Received: from localhost ([127.0.0.1]:59297 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZJNRZ-0000Io-Qj
	for submit <at> debbugs.gnu.org; Sun, 26 Jul 2015 11:02:26 -0400
Received: from mtaout26.012.net.il ([80.179.55.182]:42020)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1ZJNRX-0000If-2b
 for 21133 <at> debbugs.gnu.org; Sun, 26 Jul 2015 11:02:23 -0400
Received: from conversion-daemon.mtaout26.012.net.il by mtaout26.012.net.il
 (HyperSendmail v2007.08) id <0NS300000OGBVC00@HIDDEN> for
 21133 <at> debbugs.gnu.org; Sun, 26 Jul 2015 18:05:00 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout26.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NS300FHNOKBD2A0@HIDDEN>; Sun, 26 Jul 2015 18:05:00 +0300 (IDT)
Date: Sun, 26 Jul 2015 18:01:32 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21133: Fwd: [Bug
 555622]	app-editors/emacs-vcs-25.0.50_pre20150630 : ftcrfont.c:109:5:	error:
 =?utf-8?Q?=E2=80=98ftfont=5Fdriver=E2=80=99?= undeclared	(first use in this
 function)
In-reply-to: <21940.53006.235403.525884@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Ulrich Mueller <ulm@HIDDEN>
Message-id: <83r3nvyncj.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <55B3B67F.8090909@HIDDEN>
 <21940.53006.235403.525884@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 21133
Cc: 21133 <at> debbugs.gnu.org, toralf.foerster@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Sun, 26 Jul 2015 14:14:06 +0200
> From: Ulrich Mueller <ulm@HIDDEN>
> Cc: Toralf Förster <toralf.foerster@HIDDEN>
> 
> There is a similar problem with --with-cairo --without-png, by the
> way. When linking temacs:
> image.o:(.data+0x90): undefined reference to `png_load'

The culprit seems to be this condition around line 5645 of image.c:

  #if defined HAVE_PNG && !defined HAVE_NS

It should say this instead, I think:

  #if (defined HAVE_PNG && !defined HAVE_NS) || defined USE_CAIRO

But I cannot test that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21133; Package emacs. Full text available.

Message received at 21133 <at> debbugs.gnu.org:


Received: (at 21133) by debbugs.gnu.org; 26 Jul 2015 12:14:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 26 08:14:10 2015
Received: from localhost ([127.0.0.1]:58912 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZJKoj-0004k6-Nf
	for submit <at> debbugs.gnu.org; Sun, 26 Jul 2015 08:14:09 -0400
Received: from a1www.kph.uni-mainz.de ([134.93.134.1]:52412)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ulm@HIDDEN>) id 1ZJKoi-0004jy-9a
 for 21133 <at> debbugs.gnu.org; Sun, 26 Jul 2015 08:14:09 -0400
Received: from a1i15.kph.uni-mainz.de (a1i15.kph.uni-mainz.de [134.93.134.92])
 by a1www.kph.uni-mainz.de (8.14.9/8.14.7) with ESMTP id
 t6QCE768003246; Sun, 26 Jul 2015 14:14:07 +0200
Received: from a1i15.kph.uni-mainz.de (localhost [127.0.0.1])
 by a1i15.kph.uni-mainz.de (8.14.8/8.14.2) with ESMTP id t6QCE6LM004861;
 Sun, 26 Jul 2015 14:14:06 +0200
Received: (from ulm@localhost)
 by a1i15.kph.uni-mainz.de (8.14.8/8.14.8/Submit) id t6QCE6c4004857;
 Sun, 26 Jul 2015 14:14:06 +0200
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <21940.53006.235403.525884@HIDDEN>
Date: Sun, 26 Jul 2015 14:14:06 +0200
To: 21133 <at> debbugs.gnu.org
Subject: Re: bug#21133: Fwd: [Bug 555622]
 app-editors/emacs-vcs-25.0.50_pre20150630 : ftcrfont.c:109:5: error:
 =?utf-8?Q?=E2=80=98ftfont=5Fdriver=E2=80=99?= undeclared (first use in this
 function)
X-Mailer: VM 8.2.0b under 24.3.1 (x86_64-pc-linux-gnu)
From: Ulrich Mueller <ulm@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 21133
Cc: Glenn Morris <rgm@HIDDEN>,
 Toralf =?iso-8859-1?Q?F=F6rster?= <toralf.foerster@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

> If I may summarise:

> ./configure --with-cairo --without-xft

> fails with undefined reference to ftfont_driver in ftcrfont.c.

> Perhaps this is simply not a sensible set of configure options to
> use.

Maybe configure should take care of this, and enable cairo only under
the condition that xft is enabled too?

There is a similar problem with --with-cairo --without-png, by the
way. When linking temacs:
image.o:(.data+0x90): undefined reference to `png_load'

> I would also suggest that Gentoo stop enabling --with-cairo,
> and that the --with-cairo option perhaps be labelled experimental.

In fact, our whole app-editors/emacs-vcs package is experimental.
We usually reveal any upstream configure options as USE flags.
(After all, this is not an experimental branch, but git master.)

Of course, I can mask the cairo flag in addition, if you think that's
appropriate.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21133; Package emacs. Full text available.
Changed bug title to 'cairo: build without-xft fails' from 'Fwd: [Bug 555622] app-editors/emacs-vcs-25.0.50_pre20150630 : ftcrfont.c:109:5: error: ‘ftfont_driver’ undeclared (first use in this function)' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21133 <at> debbugs.gnu.org:


Received: (at 21133) by debbugs.gnu.org; 25 Jul 2015 18:35:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 25 14:35:44 2015
Received: from localhost ([127.0.0.1]:58718 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZJ4IS-0005rl-AA
	for submit <at> debbugs.gnu.org; Sat, 25 Jul 2015 14:35:44 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44839)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1ZJ4IQ-0005rb-6v
 for 21133 <at> debbugs.gnu.org; Sat, 25 Jul 2015 14:35:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1ZJ4IO-0004a9-Ob
 for 21133 <at> debbugs.gnu.org; Sat, 25 Jul 2015 14:35:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.1 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:47739)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1ZJ4II-0004X6-07; Sat, 25 Jul 2015 14:35:34 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1ZJ4IH-0006Iq-J0; Sat, 25 Jul 2015 14:35:33 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Toralf =?utf-8?Q?F=C3=B6rster?= <toralf.foerster@HIDDEN>
Subject: Re: bug#21133: Fwd: [Bug 555622]
 app-editors/emacs-vcs-25.0.50_pre20150630 : ftcrfont.c:109:5: error:
 =?utf-8?Q?=E2=80=98ftfont=5Fdriver=E2=80=99?= undeclared (first use in this
 function)
References: <bug-555622-8324-dDeKezR0sJ@HIDDEN/>
 <55B3B67F.8090909@HIDDEN>
X-Spook: codes Cyber security Armani Meth Lab Honduras CESID
X-Ran: )^;S>g'!ao?]i%zsP&l9Cx0Z((7PbOeXG"hB<isp-kU_,t)hO$?Z|%O'sQb(=XV5.Mz$_(
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sat, 25 Jul 2015 14:35:33 -0400
In-Reply-To: <55B3B67F.8090909@HIDDEN> ("Toralf
 \=\?utf-8\?Q\?F\=C3\=B6rster\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Sat, 25 Jul 2015 18:17:03 +0200")
Message-ID: <15io98ytje.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.2 (------)
X-Debbugs-Envelope-To: 21133
Cc: 21133 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.2 (------)

Toralf F=C3=B6rster wrote:

> https://bugs.gentoo.org/show_bug.cgi?id=3D555622

If I may summarise:

./configure --with-cairo --without-xft

fails with undefined reference to ftfont_driver in ftcrfont.c.

Perhaps this is simply not a sensible set of configure options to use.

I would also suggest that Gentoo stop enabling --with-cairo,
and that the --with-cairo option perhaps be labelled experimental.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21133; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jul 2015 16:17:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 25 12:17:15 2015
Received: from localhost ([127.0.0.1]:58689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZJ28Q-0002gY-6Y
	for submit <at> debbugs.gnu.org; Sat, 25 Jul 2015 12:17:14 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49206)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <toralf.foerster@HIDDEN>) id 1ZJ28O-0002gQ-2P
 for submit <at> debbugs.gnu.org; Sat, 25 Jul 2015 12:17:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <toralf.foerster@HIDDEN>) id 1ZJ28M-0002fx-Ov
 for submit <at> debbugs.gnu.org; Sat, 25 Jul 2015 12:17:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45296)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <toralf.foerster@HIDDEN>) id 1ZJ28M-0002ft-Ls
 for submit <at> debbugs.gnu.org; Sat, 25 Jul 2015 12:17:10 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34477)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <toralf.foerster@HIDDEN>) id 1ZJ28L-00044g-G9
 for bug-gnu-emacs@HIDDEN; Sat, 25 Jul 2015 12:17:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <toralf.foerster@HIDDEN>) id 1ZJ28I-0002cu-B1
 for bug-gnu-emacs@HIDDEN; Sat, 25 Jul 2015 12:17:09 -0400
Received: from mout.gmx.net ([212.227.17.21]:53024)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <toralf.foerster@HIDDEN>) id 1ZJ28H-0002cT-W9
 for bug-gnu-emacs@HIDDEN; Sat, 25 Jul 2015 12:17:06 -0400
Received: from [192.168.178.24] ([80.171.176.175]) by mail.gmx.com (mrgmx101)
 with ESMTPSA (Nemesis) id 0LdLw5-1Yaae122F7-00iTGN for
 <bug-gnu-emacs@HIDDEN>; Sat, 25 Jul 2015 18:17:04 +0200
Subject: =?UTF-8?Q?Fwd:_[Bug_555622]_app-editors/emacs-vcs-25.0.50=5fpre2015?=
 =?UTF-8?Q?0630_:_ftcrfont.c:109:5:_error:_=e2=80=98ftfont=5fdriver=e2=80=99?=
 =?UTF-8?Q?_undeclared_=28first_use_in_this_function=29?=
References: <bug-555622-8324-dDeKezR0sJ@HIDDEN/>
To: bug-gnu-emacs@HIDDEN
From: =?UTF-8?Q?Toralf_F=c3=b6rster?= <toralf.foerster@HIDDEN>
X-Forwarded-Message-Id: <bug-555622-8324-dDeKezR0sJ@HIDDEN/>
Message-ID: <55B3B67F.8090909@HIDDEN>
Date: Sat, 25 Jul 2015 18:17:03 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.1.0
MIME-Version: 1.0
In-Reply-To: <bug-555622-8324-dDeKezR0sJ@HIDDEN/>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Provags-ID: V03:K0:PpErdPlZFsUT5sMxSkNymR8OdJnRFZ7dTT1OldFryCjtfhNZPzd
 4ynXP/O8CjlR9oJzuu/ESiOT+VjiWbQGZqUcILi0xuoY9L896makGL2z2DtwS53qwOPWWyK
 Z+zFXidioBd/9dfagEHiV/q6GVimk5KdlLpKOREjaMqm8oWj6J9mPefOLklFObbpF8AX/AT
 SVfKpgtbxSJVrDdQZab/w==
X-UI-Out-Filterresults: notjunk:1;V01:K0:pE7z7bAxI7U=:U+5OMGNPioRy0OCgm7690J
 elU+wavwtCsDxIqePDXMPzysz58X5nuFovFnSNe3b6DV/a2PWi0SJeJ2haZNPUC1CEp4bh6sZ
 amhfhhBhdfDv4p5WtmhduCdLItWFxUbHgJTP8LAa4+oWKz5CC8TaFw33ObfyqJktGxUHijK25
 0B6/ppXw4tsrHu0+/tuiwyEunpVjBkrEQvtpTeJpXtCeLn3Y4atehTh39XFAqloI15Soe94u7
 NV6SP5vDtQBALpTr4tmtzAeRZoY4kXwmkdXTPHdF4M5cn45JTr/8MFTMP9m/r3P4957mMKgyZ
 wkE1n8dIfsrQQUFgkfqa5gd+nP/D+GjJ3tZ/PuCJxVOgs8ynwEyyqS1Bw8Hu202rOHlX0pKyJ
 E9GzdqGYsudMO2KZKnX6c6epkKZXaHm2+V2p0Em5wPdasnJ13MVu99RV63J+UUUUAaDahi+Hg
 ojds03BiRwcoLkNE0zUn7OKyRKYmRF4zgZF1Xg1OF+3ormmHEBPtb6Jj+dQRcvBXkg9uvQRdb
 3kwTAi4iJJdIMEE98oEi0mQxgoFNsjmX4plWSZQ3e18KIk8ApfLpqiY7llPiYlWTi8KebWV9u
 ZKEaCbMI8aK8u65m/Xz6BTooaqAUYMYxcZXRlYODj50Wo3dimAxv4gFvdtobaQAiYObIdsPVR
 WiCai8al2XNpAbtNEylpoLHldT2Zs1t5xsZXHrv1jhcUQBO3cWlugUFnT5Yw4cS+M/Ko=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

Hello,

there's a bug originated in  Gentoos bugzilla:


https://bugs.gentoo.org/show_bug.cgi?id=555622


Ulrich Müller <ulm@HIDDEN> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |jan.h.d@HIDDEN

--- Comment #2 from Ulrich Müller <ulm@HIDDEN> ---
I can reproduce the problem with your USE flag settings. Both the 20150331 and
20150430 snapshots (the latter in my local overlay only) still compile fine,
whereas the 20150531 snapshot fails. Emacs from git master (as of today) also
fails with your USE flags.

Git bisecting shows that the breakage originates from the cairo branch:

   dddcc0e78452f2186c132823a33a174d2596ba33 is the first bad commit
   commit dddcc0e78452f2186c132823a33a174d2596ba33
   Author: Jan D <jan.h.d@HIDDEN>
   Date:   Wed Feb 11 16:14:35 2015 +0100

       Add cairo drawing.


Can you please report the bug upstream? There is little we could do here at the
distro level.

-- 
You are receiving this mail because:
You reported the bug.






Acknowledgement sent to Toralf Förster <toralf.foerster@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21133; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 3 Aug 2016 18:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.